/*Inicio código mio....................................................................*/

.user-dropdown:hover .dropdown-menu {
    display: block;
    margin-top: 0;
}

.user-dropdown .dropdown-menu {
    display: none;
    transition: 0.3s ease;
}

* {
  background: none;
  margin: 0;
  padding: 0;
  text-decoration: none;
  list-style: none;
  font-family: Arial, sans-serif;

}

.div-content-header {
  height: auto;
  background: transparent;
  width: 100%;
  position: fixed;
  top: 0;
  z-index: 1000;
}

.div-barraHeader {
  margin: auto;
  max-width: 97%;
  /* background: #d5dfca;*/
  border-radius: 7px 7px 0px 0px;
  border-bottom: 1px solid white;
  display: flex;
  justify-content: space-between;
  flex-direction: row;
}

.contentLogoPrincipal {
  width: auto;
  /*box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);*/
  max-height: 120px;
  border-radius: 7px 0px 0px 0px;
  background-color: green;
  display: flex;
  align-items: center;
  justify-content: center;
}

.a-logoPrincipal {
  min-width: 130px;
  width: 100%;
  height: 100%;
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.divContentDuoHeader {
  width: 100%;
  height: 110px;
  background-color: rgb(143, 101, 222);
  border-radius: 0px 7px 0px 0px;
  /*padding: 5px;*/
}

/*Inicio sectionContenedorHeaderIconos--------------------*/
.sectionContenedorHeaderIconos {
  width: 100%;
  height: 70px;
  background: rgb(157, 29, 29);
  /* background: #990000; color original*/
  /* border-bottom: 3px solid black;*/
  border-radius: 0px 7px 0px 0px;
}

/*-----------------------------*/
.div-MenuIcons {
  display: none;
  width: 100%;
  /* background-color: yellow;*/
}

.div-MenuIcons a {
  display: inline-block;
  width: 30px;
  height: 30px;
  background-color: green;
  border-radius: 3px;
}

.div-MenuIcons img {
  width: auto;
  max-height: 30px;
  padding: 7px;

}

.div-MenuIcons:hover {
  width: 29px;
  height: 29px;
  transition: ease-in .3s;
  background: red;
}

@media (max-width: 1024px) {
  .div-contenedorHijo {
    width: auto;
    background: none;
  }

  .div-contenedorIconosLeft {
    border-radius: 50%;
  }

  .spanTexto01 {
    display: none;
  }

}

@media (max-width: 768px) {

  .div-contentImg02 {
    max-height: 80%;
  }

  .lavelMonedaSesion {
    display: none;
    font-size: 13px;
    /* background: blue;*/
  }


}




@media (max-width: 500px) {
  .div-barraHeader {
    display: block;
  }

  .divContentBuscador {
    overflow: hidden;
    overflow-x: auto;
  }

  .contentLogoPrincipal {
    width: auto;
    height: 80px;
    border-radius: 7px 7px 0px 0px;
  }

  .contentLogoPrincipal a img {
    width: auto;
    max-height: 80px;
    padding: 7px;
  }

  .divContentDuoHeader {
    height: 70px;

  }

  .sectionContenedorHeaderIconos {
    width: 100%;
    height: auto;
    border-radius: 0px 0px 0px 0px;
  }

  .div-contenedorHijo01 {
    width: 100%;
    max-height: 35px;
    /*background: pink;*/
  }

  .barra_headerIconosPadre {
    display: block;
  }

  /*
  .div-MenuIcons {
    display: flex;
    justify-content: end;
  }
*/
  .div-contentImg02 {
    max-height: 60%;
  }

  .divContentBuscador {
    max-height: 35px;

  }

  .spanCarrucel {
    margin-top: 40px;
  }

}

@media (max-width: 350px) {
  .modalInformation .modalCenter {
    width: 100%;
    background: green;
  }

  .modalCenter .spanModalHeader p {
    font-size: 10px;
    padding: 3px;
  }

  .span-links a {
    font-size: 12px;
    padding: 5px;
    background: red;
    max-height: 30px;
  }

  .modalCenter .spanModalfooter {
    font-size: 9px;
    padding: 5px;
  }
}


/*------------------------------*/




.barra_headerIconosPadre {
  width: 100%;
}

.div-contenedorHijo01 {
  width: 100%;
  height: 70px;
  /*background: pink;*/
  display: flex;
  justify-content: space-around;
  align-items: center;
}

/*-----------------Left-----------------*/


.div-contenedorIconosLeft {
  /*background: green;*/
  font-size: 12px;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;

}

.a-clienteLamarWhatssap01 {
  width: auto;
  height: 34px;
  /*background: purple;*/
  text-decoration: none;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}

.div-contentImg02 {
  height: 100%;
  width: auto;
  border-radius: 50%;
}

.div-contentImg02 img {
  height: 100%;
  width: auto;
}

.borderRadios01 {
  border-radius: 50%;
  background: white;
  padding: 2px;
}

.pad002 {
  padding: 2px;
}

.spanTexto01 {
  margin-left: 5px;
}

.a-clienteLamarWhatssap01:hover {
  width: auto;
  height: 32px;
  padding: 3px;
  border: 2px solid white;
  border-radius: 7px;
  background: red;
  box-shadow: 0px 5px 3px #000000;
  transition: ease-in .3s;
  /*animation: 1s rotacion 1;*/
}

.modalInformation {
  display: none;
  position: fixed;
  top: 0;
  left: 1.5%;
  right: 1.5%;
  height: 100vh;
  background: #f5c1c1;
  border-radius: 7px;
  padding: 10px;
  transition: all .3s .3s;
}

.modalCenter {
  max-width: 400px;
  width: 80%;
  height: 80vh;
  background: green;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  transition: all .3s .3s;
  box-shadow: 0 35px 35px rgba(0, 0, 0, 0.3);
  border-radius: 7px;
  position: relative;
}

.spanModalHeader {
  width: 100%;
  height: 20%;
  background: #38bdf8;
  border-radius: 7px 7px 0px 0px;
  display: flex;
}

.spanModalHeader p {
  width: 83%;
  height: 100%;
  background: green;
  color: white;
  padding: 5px;
  display: flex;
  align-items: center;
  border-radius: 7px 0px 0px 0px
}

.spanModalfooter {
  width: 80%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  /*background-color: #25d366;*/
  padding: 5px;
  font-size: 14px;
}

.spanModalHeader small {
  width: 17%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 0px 0px 10px 0px;
}

.spanModalHeader small img {
  max-width: 25px;
  max-height: 25px;
  cursor: pointer;
  transition: all .2s;
}

.spanModalHeader small img:hover {
  max-width: 30px;
  max-height: 30px;
  box-shadow: 5px 5px 5px;
}

.span-links {
  display: block;
  width: 100%;
  height: 30%;
  background: white;
  color: black;
  display: flex;
  justify-content: center;
  align-items: center;
}

.span-links a:hover {
  background: blue;
  transition: all .3s .3s;
  box-shadow: 0 35px 35px rgba(0, 0, 0, 0.3);
}

.spanBorder {
  margin-bottom: .2%;
}

.span-links a {
  width: 90%;
  max-height: 30%;
  height: 100%;
  background: red;
  color: white;
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 7px;
}

.spanModalfooter {
  width: 100%;
  height: 20%;
  background: #38bdf8;
  border-radius: 0px 0px 7px 7px;
  display: flex;
}














/*Fin sectionContenedorHeaderIconos-----------------------*/

.divContentBuscador {
  margin: 0 auto;
  max-width: 100%;
  height: 40px;
  background: black;
  border-top: 1px solid white;
  /*border-bottom: 1px solid white;*/
  padding: 10px;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

.align-items-center {
  height: 30px;
  /* background: green;*/
  padding: 3px;

}

.lavelMonedaSesion {
  font-size: 13px;
  /* background: blue;*/
}

.flex-grow-1 {
  height: 25px;
  /*background-color: red;*/
}

.input-Search {
  width: 100%;
  min-width: 63px;
  height: 25px;
  background-color: white;
  font-size: 13px;
  border-radius: 3px 0px 0px 3px;
  padding: 0px 5px 0px 7px;
  border: none;
  outline: none;
}

.btn {
  width: 30px;
  height: 25px;
  padding: 0px;
  border-radius: 0px 3px 3px 0px;
}

.btn:hover {
  background: red;
}

.div-carritoSesion {
  height: 30px;
  width: auto;
}

.btnMargin {
  margin-right: 2px;

}

.a-contentCarritoCero {
  width: 50px;
  height: 25px;
  /* background-color: purple;*/
  text-decoration: none;
  font-size: 18px;
  /* font-size: 15px;*/
  display: flex;
  align-items: center;
  justify-content: center;
}

.a-contentCarritoCero:hover {
  background: red;

}

.colorIcon {
  color: white;
}

.a-contentSesion {
  height: 25px;
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  /*background-color: orange;*/
  margin-left: 8px;
  color: white;
  padding: 3px;
}

.a-contentSesion:hover {
  background: red;
}

.lavelSesion {
  width: 82px;
  margin-left: 2px;
  text-align: center;
  /*background: green;*/
}

/*I...............................................*/


.spanCarrucel {
  display: inline-block;
}

.divContentCarrucel {
  margin: auto;
  margin-top: 111px;
  width: 97%;
  height: 250px;
  background-color: rgb(39, 182, 39);
  background-image: url("../carrusel/fondo9.jpg");
  background-position: center;
  /*background-repeat: repeat-x;*/
  background-repeat: repeat;
  /* background-size: 100% 100%;*/
  background-size: cover;
}

.enlaceCarrucel {
  max-width: 500px;
  height: 250px;
  margin: auto;
  /*background-color: white;*/
  display: flex;
  align-items: center;
  justify-content: center;
}

.enlaceCarrucel .imgCarrucel {
  display: block;
  margin: auto;
  width: auto;
  max-height: 250px;
  border-radius: 10px;
  padding: 5px;
  object-fit: contain;
  /*background-color: white;*/
}

.imgCarrucel:hover {
  opacity: 70%;
}


/*Fin código mio.......................................................................*/






















.custom-navbar-bottom {
  margin-top: 80px;
  /* Ajusta esto para que no se solape con el contenido */
}




.navbar-top .nav-link {
  color: #facc15;
  /* Amarillo */
}

.navbar-top .nav-link:hover {
  color: #f43f5e;
  /* Rojo */
}

/* Navbar inferior */
.navbar-bottom {
  background-color: #0e0e0e;
  /* Rojo oscuro */
  color: white;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;

}

.navbar-bottom .nav-link {
  color: #38bdf8;
  /* Azul celeste */
}

.navbar-bottom .nav-link:hover {
  color: #a855f7;
  /* Morado */
}

/* Separar el contenido */
.content {
  padding: 100px 0;
  text-align: center;
}

.content {
  margin-top: 90px;
  /* Ajusta este valor */
}

/* Mejorar la visibilidad y el espaciado de las secciones */
.navbar-custom {
  background-color: #9a0000;
  padding-top: 10px;
  padding-bottom: 10px;
}

/* Ajustar los elementos del nav a la izquierda y derecha */
.navbar-nav .nav-link {
  color: white;
  margin-right: 10px;
}

/* Ajustes de padding para los botones */
.navbar-toggler {
  padding: 2px 12px;
}

/* Mejora de espaciado entre las opciones de la navbar */
.navbar-nav .me-4 {
  margin-right: 30px;
  /* Ajusta el espaciado entre el ícono de moneda y el select */
}

.navbar-custom {
  background-color: #9a0000;
  padding-top: 0px;
  padding-bottom: 2px;
}

.auth-container {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 100%;
  max-width: 450px;
  margin: 100px auto;
  padding: 100px;
}

.nav-tabs .nav-link {
  border: none;
  border-radius: 0;
  font-weight: bold;
  color: black;
}

.nav-tabs .nav-link.active {
  border: 1px solid #9a0000;
  background: #9a0000;
  border-radius: 15px;
  font-weight: bold;
  color: black;
}

.btn-custom {
  width: 100%;
  padding: 20px;
  border: none;
  border-radius: 25px;
  background-color: #9a0000;
  color: white;
  font-size: 16px;
  cursor: pointer;
  margin-top: 10px;
}

.input-group label {
  display: block;
  margin-bottom: 5px;
  color: #555;
  font-size: 14px;
}

.input-group input {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-sizing: border-box;
  font-size: 14px;
}

.counter input {
  width: 100px;
  /* Ancho del input */
  text-align: center;
  font-size: 1rem;
  padding: 5px;
  border: 1px solid #ddd;
  border-radius: 5px;
  transition: border-color 0.3s ease;
  /* Transición suave para el borde */
}

.counter input:focus {
  border-color: #9a0000;
  /* Cambia el borde cuando el input está enfocado */
  outline: none;
  /* Elimina el borde predeterminado de enfoque */
}

.counter button {
  width: 40px;
  /* Ancho ajustado para mejorar la apariencia */
  height: 40px;
  /* Altura ajustada */
  border: 1px solid #ddd;
  background-color: #9a0000;
  color: white;
  font-size: 18px;
  border-radius: 50%;
  /* Hace el botón redondo */
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
  /* Transición suave */
}

.counter button:hover {
  transform: scale(1.1);
  /* Efecto de aumento en el tamaño del botón */
}

.counter button:active {
  transform: scale(1);
  /* Elimina el efecto de aumento cuando se hace clic */
}

.quantity-control button {
  width: 30px;
  height: 30px;
  border: 1px solid #ddd;
  background: #f8f9fa;
  font-size: 18px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.quantity-control input {
  width: 50px;
  height: 30px;
  text-align: center;
  border: 1px solid #ddd;
  border-left: none;
  border-right: none;
}

/* Estilos para el botón de WhatsApp */
.whatsapp-button {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  background-color: #25d366;
  color: white;
  border-radius: 50%;
  text-align: center;
  font-size: 24px;
  line-height: 60px;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.5);
  z-index: 1000;
  cursor: pointer;
}

/* Estilos para el modal de WhatsApp */
.whatsapp-modal {
  position: fixed;
  bottom: 80px;
  right: 20px;
  width: 250px;
  background-color: #fff;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
  z-index: 2000;
  display: none;
}

.whatsapp-modal-content {
  text-align: center;
}

.whatsapp-modal-close {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
  color: #333;
  font-size: 24px;
  font-weight: bold;
}

/* Estilos para los iconos de asesoría */
.icon {
  width: 40px;
  height: 40px;
  margin-right: 10px;
}

.contact-option {
  display: flex;
  align-items: center;
  margin: 10px 0;
  text-decoration: none;
  color: #000;
}








/* Diseño de boton agregar y retirar cantidad */
body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.container {
  flex: 1;
}

.footerText {
  width: 97%;
  margin: auto;
  margin-bottom: 10px;
  background-color: #9a0000;
  color: white;
  padding: 20px;
  border-radius: 0px 0px 10px 10px;
}

.div-footer {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
}

.div-footer00 {
  /*background: green;*/
  /*max-width: 318px;*/
  width: 30%;
  text-align: center;
  font-size: 12px;
}

.div-footer00 div a {
  text-decoration: none;
  color: white;
}

.div-footer00 a {
  text-decoration: none;
  color: white;
}

.divMaxfooter01 {
  /* max-width: 240px;*/
  padding: 20px;
  /*background: green;*/
}

.divMaxfooter02 {
  /* max-width: 240px;*/
  /* background-color: yellow;*/
  padding: 20px;

}

.divMaxfooter03 {
  /*max-width: 240px;*/
  /* background: pink;*/
  padding: 20px;

}

.p-copyright {
  text-align: center;
  font-size: 12px;
}

.div-footergoogleMaps {
  /* background: green;*/
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.div-iframe {
  /* background: green;*/
  width: 1024px;
  height: 200px;
  border-radius: 10px;
  display: flex;
}

.div-iframe iframe {
  width: 100%;
  height: auto;
}


/* Aumentar el espacio entre los elementos */
@media (max-width: 1024px) {
  /*
  .div-footer00 {
    max-width: 100%;
  }
/*
  .divMaxfooter01 {
    width: 100%;
  }
*/

}

@media (max-width: 768px) {
  .div-footer00 {
    width: 100%;
  }
}